Debian Bug report logs - #385841
package build-depends on g++-3.4, which is not available on hppa

version graph

Package: wordtrans; Maintainer for wordtrans is (unknown);

Reported by: Matthias Klose <doko@cs.tu-berlin.de>

Date: Sun, 3 Sep 2006 11:33:53 UTC

Severity: serious

Tags: fixed

Found in version 1.1pre14-2

Fixed in versions 1.1pre14-2.1, wordtrans/1.1pre14-4

Done: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@computer.org>:
Bug#385841; Package wordtrans. Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@cs.tu-berlin.de>:
New Bug report received and forwarded. Copy sent to Javier Fernandez-Sanguino Pen~a <jfs@computer.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@cs.tu-berlin.de>
To: submit@bugs.debian.org
Subject: package build-depends on g++-3.4, which is not available on hppa
Date: Sun, 3 Sep 2006 13:11:18 +0200
Package: wordtrans
Version: 1.1pre14-2
Severity: serious

the package build-depends on g++-3.4 or g++-4.0, which is not
available on hppa. Please build using g++-4.1.

If the package cannot be built using g++-4.1, please make sure that a
bug report is filed against the g++-4.1 package.

Is 3.4 really needed on arm and m68k?



Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@computer.org>:
Bug#385841; Package wordtrans. Full text and rfc822 format available.

Acknowledgement sent to Daniel Baumann <daniel.baumann@panthera-systems.net>:
Extra info received and forwarded to list. Copy sent to Javier Fernandez-Sanguino Pen~a <jfs@computer.org>. Full text and rfc822 format available.

Message #10 received at 385841@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@panthera-systems.net>
To: 385841@bugs.debian.org
Subject: NMU Diff
Date: Sat, 09 Sep 2006 19:11:26 +0200
[Message part 1 (text/plain, inline)]
Hi,

this is the NMU Diff.
[NUM.diff (text/plain, inline)]
diff -Naur wordtrans-1.1pre14-2/debian/changelog wordtrans-1.1pre14-2.1/debian/changelog
--- wordtrans-1.1pre14-2/debian/changelog	2006-09-09 09:06:20.000000000 +0000
+++ wordtrans-1.1pre14-2.1/debian/changelog	2006-09-09 09:06:52.000000000 +0000
@@ -1,3 +1,11 @@
+wordtrans (1.1pre14-2.1) unstable; urgency=medium
+
+  * Non-maintainer upload, BSP Zurich/Switzerland.
+  * Dropping versioned depends on g++, it builds fine on hppa and the other
+    archs too with g++ from unstable (Closes: #385841).
+
+ -- Daniel Baumann <daniel@debian.org>  Sat,  9 Sep 2006 10:52:00 +0200
+
 wordtrans (1.1pre14-2) unstable; urgency=high
 
   * Acknowledge NM (Closes: #335002)
diff -Naur wordtrans-1.1pre14-2/debian/control wordtrans-1.1pre14-2.1/debian/control
--- wordtrans-1.1pre14-2/debian/control	2006-09-09 09:06:20.000000000 +0000
+++ wordtrans-1.1pre14-2.1/debian/control	2006-09-09 09:06:52.000000000 +0000
@@ -5,7 +5,7 @@
 Uploaders: Javier Viñuales Gutiérrez <vigu@debian.org>
 Standards-Version: 3.5.6
 Build-Depends-Indep: gettext, groff
-Build-Depends: debhelper, linuxdoc-tools-text, libfribidi-dev, kdelibs-dev  (>= 2.2.2-13) | kdelibs4-dev, recode, libqt3-compat-headers,  php4-dev (>= 4:4.3.2+rc3-3), g++ (>= 4:4.0.2-2) [arm hppa m68k] | g++-3.4 [arm hppa m68k], dpkg-dev (>= 1.13.2)
+Build-Depends: debhelper, linuxdoc-tools-text, libfribidi-dev, kdelibs-dev  (>= 2.2.2-13) | kdelibs4-dev, recode, libqt3-compat-headers, php4-dev (>= 4:4.3.2+rc3-3), dpkg-dev (>= 1.13.2)
 
 Package: wordtrans-data
 Architecture: all
diff -Naur wordtrans-1.1pre14-2/debian/control-kde wordtrans-1.1pre14-2.1/debian/control-kde
--- wordtrans-1.1pre14-2/debian/control-kde	2006-09-09 09:06:20.000000000 +0000
+++ wordtrans-1.1pre14-2.1/debian/control-kde	2006-09-09 09:06:52.000000000 +0000
@@ -5,7 +5,7 @@
 Uploaders: Javier Viñuales Gutiérrez <vigu@debian.org>
 Standards-Version: 3.5.6
 Build-Depends-Indep: gettext, groff
-Build-Depends: debhelper, linuxdoc-tools-text, libfribidi-dev, kdelibs-dev  (>= 2.2.2-13) | kdelibs4-dev, recode, libqt3-compat-headers,  php4-dev (>= 4:4.3.2+rc3-3), g++ (>= 4:4.0.2-2) [arm hppa m68k] | g++-3.4 [arm hppa m68k], dpkg-dev (>= 1.13.2)
+Build-Depends: debhelper, linuxdoc-tools-text, libfribidi-dev, kdelibs-dev  (>= 2.2.2-13) | kdelibs4-dev, recode, libqt3-compat-headers, php4-dev (>= 4:4.3.2+rc3-3), dpkg-dev (>= 1.13.2)
 
 Package: wordtrans-data
 Architecture: all

Tags added: fixed Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as fixed in version 1.1pre14-2.1, send any further explanations to Matthias Klose <doko@cs.tu-berlin.de> Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Matthias Klose <doko@cs.tu-berlin.de>:
Bug#385841. Full text and rfc822 format available.

Message #17 received at 385841-submitter@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 380056-submitter@bugs.debian.org, 380123-submitter@bugs.debian.org, 380147-submitter@bugs.debian.org, 380466-submitter@bugs.debian.org, 380581-submitter@bugs.debian.org, 380589-submitter@bugs.debian.org, 380723-submitter@bugs.debian.org, 380728-submitter@bugs.debian.org, 380801-submitter@bugs.debian.org, 380872-submitter@bugs.debian.org, 380915-submitter@bugs.debian.org, 380993-submitter@bugs.debian.org, 381005-submitter@bugs.debian.org, 381068-submitter@bugs.debian.org, 381110-submitter@bugs.debian.org, 381225-submitter@bugs.debian.org, 381338-submitter@bugs.debian.org, 381390-submitter@bugs.debian.org, 381452-submitter@bugs.debian.org, 381456-submitter@bugs.debian.org, 381624-submitter@bugs.debian.org, 381646-submitter@bugs.debian.org, 381816-submitter@bugs.debian.org, 382096-submitter@bugs.debian.org, 382114-submitter@bugs.debian.org, 382131-submitter@bugs.debian.org, 382214-submitter@bugs.debian.org, 382260-submitter@bugs.debian.org, 382400-submitter@bugs.debian.org, 382491-submitter@bugs.debian.org, 382512-submitter@bugs.debian.org, 382642-submitter@bugs.debian.org, 382769-submitter@bugs.debian.org, 382783-submitter@bugs.debian.org, 382807-submitter@bugs.debian.org, 382867-submitter@bugs.debian.org, 382951-submitter@bugs.debian.org, 382958-submitter@bugs.debian.org, 383175-submitter@bugs.debian.org, 383314-submitter@bugs.debian.org, 383426-submitter@bugs.debian.org, 383565-submitter@bugs.debian.org, 383569-submitter@bugs.debian.org, 383616-submitter@bugs.debian.org, 383823-submitter@bugs.debian.org, 384057-submitter@bugs.debian.org, 384081-submitter@bugs.debian.org, 384223-submitter@bugs.debian.org, 384282-submitter@bugs.debian.org, 384356-submitter@bugs.debian.org, 384358-submitter@bugs.debian.org, 384489-submitter@bugs.debian.org, 384507-submitter@bugs.debian.org, 384566-submitter@bugs.debian.org, 384593-submitter@bugs.debian.org, 384725-submitter@bugs.debian.org, 384750-submitter@bugs.debian.org, 384756-submitter@bugs.debian.org, 384772-submitter@bugs.debian.org, 384825-submitter@bugs.debian.org, 384826-submitter@bugs.debian.org, 384937-submitter@bugs.debian.org, 384995-submitter@bugs.debian.org, 385062-submitter@bugs.debian.org, 385080-submitter@bugs.debian.org, 385177-submitter@bugs.debian.org, 385378-submitter@bugs.debian.org, 385643-submitter@bugs.debian.org, 385696-submitter@bugs.debian.org, 385800-submitter@bugs.debian.org, 385819-submitter@bugs.debian.org, 385820-submitter@bugs.debian.org, 385827-submitter@bugs.debian.org, 385828-submitter@bugs.debian.org, 385829-submitter@bugs.debian.org, 385830-submitter@bugs.debian.org, 385831-submitter@bugs.debian.org, 385835-submitter@bugs.debian.org, 385837-submitter@bugs.debian.org, 385839-submitter@bugs.debian.org, 385841-submitter@bugs.debian.org, 385943-submitter@bugs.debian.org, 378525-submitter@bugs.debian.org, 378699-submitter@bugs.debian, org@mauritius.dodds.net, 379208-submitter@bugs.debian.org, 374601-submitter@bugs.debian.org, 388193-submiter@bugs.debian.org, 366090-submitter@bugs.debian.org, 343015-submitter@bugs.debian.org, 342963-submitter@bugs.debian.org, 342962-submitter@bugs.debian.org, 342966-submitter@bugs.debian.org, 342997-submitter@bugs.debian.org, 343000-submitter@bugs.debian.org
Subject: Bugs fixed in NMU, documenting versions
Date: Sun, 22 Oct 2006 01:59:27 -0700
# Hi folks,
#
# All of these bugs have been fixed in NMU, but not acknowledged by the
# maintainers.  With version tracking in the Debian BTS, it is important to
# know which version of a package fixes each bug so that they can be tracked
# for release status in the BTS, so I'm closing these bugs with the relevant
# version number information now.

close 380056 0.4.2-3.2
close 380123 1.1.3-5.3
close 380147 0.4.14-1.1
close 380466 0.3.9-1.1
close 380581 0.3.7-1.1
close 380589 1:1.0.0-rel-3.1
close 380723 0.0.43-0.3
close 380728 0.3.2-7.1
close 380801 3.0.3-3.1
close 380872 0.4-1.1
close 380915 0.8-1.1
close 380993 2.4.0-3.1
close 381005 1:1.0-3.1
close 381068 0.4.7-1.1
close 381110 2.6.3.2.1.2
close 381225 1:1.0.1-4.1
close 381338 2.3.4-3.1
close 381390 2.1.1-5.2
close 381452 21.4a-6.2
close 381456 0.3.4.cvs.20050813-2.2
close 381624 3.6.13-3.6
close 381646 7.4-3.1
close 381816 6.2.10-4.1
close 382096 1.3.29-2.1
close 382114 1:1.2.4.1-6.1
close 382131 1.9.6-3.1
close 382214 0.4.7-1.1
close 382260 1.13-1.1
close 382400 0.87.5-2
close 382491 0.2.1-1.1
close 382512 1.0.0-9.2
close 382642 2.2.3-1.1
close 382769 0.2.12-1.2
close 382783 1.0.57-2.3
close 382807 0.5.4-0.1
close 382867 0.10-1.1
close 382951 2.6.3.2.1.5
close 382958 1.0.5-1.1
close 383175 0.1.8.1-3.1
close 383314 7:6.2.4.5.dfsg1-0.10
close 383426 4.0.6-2.1
close 383565 0.1.6.9-1.1
close 383569 0.95-2.1
close 383616 1.0.5-1.1
close 383823 2.2.0-2.1
close 384057 6.5.0.cvs.20060524-1.1
close 384081 1:5.22-1.1
close 384223 0.80+dfsg-1
close 384282 6.5.0.cvs.20060524-1.1
close 384356 0.9.10-3.1
close 384358 0.88-3.1
close 384489 0.4.2-7.1
close 384507 0.4.20-12.1
close 384566 0.13-3.3
close 384593 210-3.1
close 384725 2.8.5-2sarge1.2
close 384750 0.9.2+cvs.1.0.dev.2004.07.28-4.1
close 384756 0.15.0-1.1
close 384772 0.9.6-1.1
close 384825 0.0.43-0.4
close 384937 0.03-1.1
close 384995 0.5-1.1
close 385062 7:6.2.4.5.dfsg1-0.10
close 385080 1.3.29-2.1
close 385177 1.1.3-1.2
close 385378 0.33.3-1.1
close 385643 0.07-1.1
close 385696 2.5.3-4.1
close 385800 3.4.2-1.1
close 385819 0.6.6-6.1
close 385820 0.6.6-4.1
close 385827 3.5-9.1
close 385828 1.3.2-3.3
close 385829 1.4.3-17.2
close 385830 0.5-8.1
close 385831 2.0.9-1.2
close 385835 3.0.9-2.1
close 385837 0.3-5.2
close 385839 2.3.0-1
close 385841 1.1pre14-2.1
close 385943 2.8.5-1.1
thanks

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Reply sent to Javier Fernandez-Sanguino Pen~a <jfs@computer.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@cs.tu-berlin.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 385841-close@bugs.debian.org (full text, mbox):

From: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
To: 385841-close@bugs.debian.org
Subject: Bug#385841: fixed in wordtrans 1.1pre14-4
Date: Sat, 30 Dec 2006 13:17:04 +0000
Source: wordtrans
Source-Version: 1.1pre14-4

We believe that the bug you reported is fixed in the latest version of
wordtrans, which is due to be installed in the Debian FTP archive:

wordtrans-data_1.1pre14-4_all.deb
  to pool/main/w/wordtrans/wordtrans-data_1.1pre14-4_all.deb
wordtrans-dict_1.1pre14-4_all.deb
  to pool/main/w/wordtrans/wordtrans-dict_1.1pre14-4_all.deb
wordtrans-doc_1.1pre14-4_all.deb
  to pool/main/w/wordtrans/wordtrans-doc_1.1pre14-4_all.deb
wordtrans-kde_1.1pre14-4_i386.deb
  to pool/main/w/wordtrans/wordtrans-kde_1.1pre14-4_i386.deb
wordtrans-qt_1.1pre14-4_i386.deb
  to pool/main/w/wordtrans/wordtrans-qt_1.1pre14-4_i386.deb
wordtrans-web_1.1pre14-4_all.deb
  to pool/main/w/wordtrans/wordtrans-web_1.1pre14-4_all.deb
wordtrans_1.1pre14-4.diff.gz
  to pool/main/w/wordtrans/wordtrans_1.1pre14-4.diff.gz
wordtrans_1.1pre14-4.dsc
  to pool/main/w/wordtrans/wordtrans_1.1pre14-4.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 385841@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Javier Fernandez-Sanguino Pen~a <jfs@computer.org> (supplier of updated wordtrans package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 30 Dec 2006 14:04:21 +0100
Source: wordtrans
Binary: wordtrans-dict wordtrans-doc wordtrans-data wordtrans-qt wordtrans-kde wordtrans-web
Architecture: source all i386
Version: 1.1pre14-4
Distribution: unstable
Urgency: low
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Changed-By: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Description: 
 wordtrans-data - Multi Language Word Translator for Linux
 wordtrans-dict - Multi Language Word Translator for Linux
 wordtrans-doc - Multi Language Word Translator for Linux
 wordtrans-kde - Multi Language Word Translator for Linux
 wordtrans-qt - Multi Language Word Translator for Linux
 wordtrans-web - Multi Language Word Translator for Linux
Closes: 385841
Changes: 
 wordtrans (1.1pre14-4) unstable; urgency=low
 .
   * Acknowledge NMU fix which I missed in my previous upload (Closes: #385841)
Files: 
 d385f2e9c606b13df6c67ee28faf3c83 983 text optional wordtrans_1.1pre14-4.dsc
 918477c3e1bd3888c78ead77c96f8dc2 118782 text optional wordtrans_1.1pre14-4.diff.gz
 5a89c7a1e82bb00358b37424d051a970 126158 text optional wordtrans-data_1.1pre14-4_all.deb
 d06dadae8a70451fa575b50a3b8f7cc8 173484 doc optional wordtrans-doc_1.1pre14-4_all.deb
 0dcfaf47a283894dbdd796ab930dfccc 38528 text optional wordtrans-web_1.1pre14-4_all.deb
 b21cbca9591d084df1d28cf8d3961bea 21700 text optional wordtrans-dict_1.1pre14-4_all.deb
 542f47edd81ebd6a15b6afe567ec9d9a 278242 text optional wordtrans-qt_1.1pre14-4_i386.deb
 64cfb0e0796485b206b9643e985d3c89 242120 text optional wordtrans-kde_1.1pre14-4_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iQCVAwUBRZZk0/tEPvakNq0lAQIjhAP+OE34JLVHnC1veiQeuhswkquspTmZAfl5
i3mWZSiXk4j4HmBpYOPOexvuB/K5o9+y6LO9ernd73sJhDzxDBgXks2Xz4WBeeYt
8yUnLvGlBISMCvbrun2M7gctxDE2wzyF0ObVir8pf1lrHsP1G+1u9aTiWF/SA3HR
ekEHXJmmwCA=
=yFjc
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 08:46:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:36:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.